1. API Endpoints
Pix2DePix API
  • ⚡ Quickstart
  • Guides
    • 🔑 Authentication
    • 🔄 Possible Statuses
    • 🔀 Synchronous requests & safe retries
    • ⚠️ Errors & the response envelope
    • 🧩 Troubleshooting
    • ✅ Best Practices
    • 🚀 Features
      • ⏱️ QR Delay
    • 🛡️ Security & Limits
      • 🚦 API Limits
      • 🧱 Firewall
      • 🪲 Bug Bounty
  • API Endpoints
    • Ping
      GET
    • Deposit (PIX ➔ DePix)
      POST
    • Deposit Status
      GET
    • Deposits
      GET
    • User Info
      GET
    • Withdraw
      POST
    • Withdraw Status
      GET
  • Webhooks
    • 🪝 Webhooks
    • Deposit Webhook
    • Withdraw Webhook
    • MED Webhook
  • Reference
    • 📖 Glossary
    • 📝 Changelog
  • Schemas
    • JWTClaims
    • ErrorObj
    • PingObj
    • ErrorResponse
    • DepositObj
    • PingResponse
    • DepositResponse
    • DepositStatusObj
    • DepositStatusResponse
    • DepositWebhookBody
    • DepositsResponse
    • DepositStatus
    • UserInfoResponse
    • WithdrawStatusResponse
    • WithdrawStatusObj
    • WithdrawResponse
    • WithdrawObj
    • WithdrawStatus
    • WithdrawWebhookBody
    • MEDWebhookBody
    • RejectionReasons
  1. API Endpoints

Deposits

GET
/deposits
This API returns a list of deposits in a compact form. It may be used from time to time as a fallback in case the webhook fails.
It currently returns up to 200 rows per query.
Parameters:
start included, end excluded - start ≤ x < end
status - Refer to Possible Statuses

Request

Authorization
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://depix.eulen.app/api/deposits?start=2026-01-01&end=2026-01-31&status=depix_sent'

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

Example
{
    "response": [
        {
            "qrId": "019b76daa8007000000000000000000d",
            "status": "depix_sent",
            "bankTxId": "processor_E12345678202601010000a1b2c3d4e5f"
        },
        {
            "qrId": "019b76daa8007000000000000000000e",
            "status": "under_review",
            "bankTxId": "processor_E12345678202601010030b2c3d4e5f6a"
        },
        {
            "qrId": "019b76daa8007000000000000000000f",
            "status": "refunded",
            "bankTxId": "processor_E12345678202601010100c3d4e5f6a7b"
        }
    ],
    "async": false
}
🟠400BadRequest
🟠401Unauthorized
🟠403Forbidden
🟠429TooManyRequests
🔴500ServerError
🔴502BadUpstream
🔴503ServiceUnavailable
🔴520Rejected
Modified at 2026-08-26 17:41:56
Previous
Deposit Status
Next
User Info
Built with